## tnseq-transit 2.1.1

=== src/pytransit/doc/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/transit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/transit.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/transit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/transit"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## tnseq-transit 2.0.2

=== debian/changelog ===
tnseq-transit (2.0.2-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 11:29:58 +0100

tnseq-transit (2.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #856661)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Mar 2017 16:06:48 +0100

=== debian/control ===
Source: tnseq-transit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               python-all-dev,
               python-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tnseq-transit.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/tnseq-transit.git
Homepage: http://pythonhosted.org/tnseq-transit/transit_overview.html

Package: tnseq-transit
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         python-numpy,
         python-scipy,
         python-pillow,
         python-matplotlib,
         python-wxgtk3.0
Provides: transit
Replaces: transit
Breaks: transit
Description: statistical calculations of essentiality of genes or genomic regions
 This is a software that can be used to analyze Tn-Seq datasets. It
 includes various statistical calculations of essentiality of genes or
 genomic regions (including conditional essentiality between 2
 conditions). These methods were developed and tested as a collaboration
 between the Sassetti lab (UMass) and the Ioerger lab (Texas A&M)
 .
 TRANSIT is capable of analyzing TnSeq libraries constructed with Himar1
 or Tn5 datasets.
 .
 TRANSIT assumes you have already done pre-processing of raw sequencing
 files (.fastq) and extracted read counts into a .wig formatted file.
 The .wig file should contain the counts at all sites where an insertion
 could take place (including sites with no reads). For Himar1 datasets
 this is all TA sites in the genome. For Tn5 datasets this would be all
 nucleotides in the genome.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	mv debian/$(DEBPKGNAME)/usr/bin/tpp debian/$(DEBPKGNAME)/usr/bin/transit-tpp

## tnseq-transit 2.1.1

=== debian/changelog ===
tnseq-transit (2.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 11:40:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                python-all-dev,
                python-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tnseq-transit.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/tnseq-transit.git
 Homepage: http://pythonhosted.org/tnseq-transit/transit_overview.html
@@ -20,9 +20,9 @@
          python-pillow,
          python-matplotlib,
          python-wxgtk3.0
+Breaks: transit
 Provides: transit
 Replaces: transit
-Breaks: transit
 Description: statistical calculations of essentiality of genes or genomic regions
  This is a software that can be used to analyze Tn-Seq datasets. It
  includes various statistical calculations of essentiality of genes or

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	mv debian/$(DEB_SOURCE)/usr/bin/tpp debian/$(DEB_SOURCE)/usr/bin/transit-tpp

## tnseq-transit 2.1.2

=== debian/changelog ===
tnseq-transit (2.1.2-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Tue, 22 May 2018 16:41:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 11~),
                python-all-dev,
                python-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tnseq-transit.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/tnseq-transit.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
+Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://pythonhosted.org/tnseq-transit/transit_overview.html
 
 Package: tnseq-transit

## tnseq-transit 2.2.1

=== debian/changelog ===
tnseq-transit (2.2.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 14:51:00 +0200

tnseq-transit (2.2.1-2) unstable; urgency=medium

  * Add dh_python to Build-Depends
    Closes: #909759

 -- Andreas Tille <tille@debian.org>  Fri, 28 Sep 2018 07:54:04 +0200

tnseq-transit (2.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 21:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~),
+               dh-python,
                python-all-dev,
                python-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://pythonhosted.org/tnseq-transit/transit_overview.html

## tnseq-transit 2.3.2

=== debian/changelog ===
tnseq-transit (2.3.2-1) unstable; urgency=medium

  * Team upload.

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Nov 2018 15:04:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
-Homepage: http://pythonhosted.org/tnseq-transit/transit_overview.html
+Homepage: http://saclab.tamu.edu/essentiality/transit/
 
 Package: tnseq-transit
 Architecture: any

## tnseq-transit 2.3.3

=== debian/changelog ===
tnseq-transit (2.3.3-1) unstable; urgency=medium

  * New upstream version
  * buildsystem=pybuild
  * More complete Build-Depends
  * Exclude tests that need local data file
  * Work around a dangling symlink to local data file

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 17:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-python,
-               python-all-dev,
-               python-setuptools
+               python-dev,
+               python-setuptools,
+               python-numpy,
+               python-scipy,
+               python-pil,
+               python-matplotlib,
+               python-statsmodels,
+               bwa
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
@@ -18,9 +24,10 @@
          ${misc:Depends},
          python-numpy,
          python-scipy,
-         python-pillow,
+         python-pil,
          python-matplotlib,
-         python-wxgtk3.0
+         python-wxgtk3.0,
+         bwa
 Breaks: transit
 Provides: transit
 Replaces: transit

## tnseq-transit 2.3.4

=== debian/changelog ===
tnseq-transit (2.3.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 15:54:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python-dev,
                python-setuptools,
@@ -13,7 +13,7 @@
                python-matplotlib,
                python-statsmodels,
                bwa
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/$(DEB_SOURCE)/usr/bin/tpp debian/$(DEB_SOURCE)/usr/bin/transit-tpp

# Upstream tarball contains a dangling symlink to local data file - hack around this
override_dh_auto_configure:
	mkdir -p tests_invalid_data
	mv tests/H37Rv.fna tests_invalid_data
	dh_auto_configure

override_dh_auto_clean:
	if [ -e tests_invalid_data/H37Rv.fna ] ; then \
	    mv tests_invalid_data/H37Rv.fna tests ; \
	    rmdir tests_invalid_data ; \
	fi
	dh_auto_clean

## tnseq-transit 2.5.2

=== debian/changelog ===
tnseq-transit (2.5.2-1) unstable; urgency=medium

  * New upstream version
  * Asked upstrem for Python3 port
    https://github.com/mad-lab/transit/issues/20

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 15:21:53 +0200

## tnseq-transit 3.0.1

=== debian/changelog ===
tnseq-transit (3.0.1-2) unstable; urgency=medium

  * (Build-)Depends: python3-pubsub (instead of python3-pypubsub)
    Thanks for the patch to Sebastien Bacher <seb128@ubuntu.com>
    Closes: #946892
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 12:11:09 +0100

tnseq-transit (3.0.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * New version supports Python3
    Closes: #931711
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Depends: s/python3-wxgtk3.0/python3-wxgtk4.0/
  * (Build-)Depends: python3-pypubsub

  [ Michael R. Crusoe ]
  * removed now-undeeded 2to3.patch

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 13:43:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

## tnseq-transit 3.0.2

=== debian/changelog ===
tnseq-transit (3.0.2-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:40:14 +0000

tnseq-transit (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jan 2020 22:48:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,33 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-dev,
-               python-setuptools,
-               python-numpy,
-               python-scipy,
-               python-pil,
-               python-matplotlib,
-               python-statsmodels,
+               python3-dev,
+               python3-setuptools,
+               python3-numpy,
+               python3-scipy,
+               python3-pil,
+               python3-matplotlib,
+               python3-statsmodels,
+               python3-pubsub,
                bwa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/
 
 Package: tnseq-transit
 Architecture: any
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
-         python-numpy,
-         python-scipy,
-         python-pil,
-         python-matplotlib,
-         python-wxgtk3.0,
+         python3-numpy,
+         python3-scipy,
+         python3-pil,
+         python3-matplotlib,
+         python3-statsmodels,
+         python3-pubsub,
+         python3-wxgtk4.0,
          bwa
 Breaks: transit
 Provides: transit

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	dh_auto_configure
 
 override_dh_auto_clean:
-	if [ -e tests_invalid_data/H37Rv.fna ] ; then \
-	    mv tests_invalid_data/H37Rv.fna tests ; \
-	    rmdir tests_invalid_data ; \
-	fi
 	dh_auto_clean
+	rm -rf tests_invalid_data
+	rm -rf tnseq_transit.egg-info

=== debian/watch ===
version=4

https://github.com/mad-lab/transit/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## tnseq-transit 3.1.0

=== debian/changelog ===
tnseq-transit (3.1.0-2) unstable; urgency=medium

  * Team Upload.
  * Enable Build-Time tests
  * Add autopkgtests
  * Add manpages
  * compat version: 13
  * Remove un-needed test dependencies

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 25 Aug 2020 13:40:31 +0000

tnseq-transit (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sat, 23 May 2020 18:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
                python3-setuptools,
@@ -14,10 +14,11 @@
                python3-statsmodels,
                python3-pubsub,
                bwa
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/
+Rules-Requires-Root: no
 
 Package: tnseq-transit
 Architecture: any

## tnseq-transit 3.2.0

=== debian/changelog ===
tnseq-transit (3.2.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.2.0

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 29 Oct 2020 02:49:44 +0530

## tnseq-transit 3.2.1

=== debian/changelog ===
tnseq-transit (3.2.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 24 Dec 2020 23:44:18 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: tnseq-transit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +14,7 @@
                python3-statsmodels,
                python3-pubsub,
                bwa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

## tnseq-transit 3.2.2

=== debian/changelog ===
tnseq-transit (3.2.2-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 16:19:02 +0200

tnseq-transit (3.2.1-2) unstable; urgency=medium

  * d/p/fix_problematic_comparison.patch (Closes: #984958)
    - Remove numeric comparison with 'is'

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 15:27:42 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: tnseq-transit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +14,7 @@
                python3-statsmodels,
                python3-pubsub,
                bwa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

=== debian/watch ===
version=4

https://github.com/mad-lab/transit/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## tnseq-transit 3.2.3

=== debian/changelog ===
tnseq-transit (3.2.3-2) unstable; urgency=medium

  * Really fix watch file
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jan 2022 18:45:30 +0100

tnseq-transit (3.2.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * d/watch: Add filemangle

  [ Nilesh Patra ]
  * New upstream version 3.2.3

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 01:48:17 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                python3-matplotlib,
                python3-statsmodels,
                python3-pubsub,
-               bwa
+               bwa,
+               debhelper
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/mad-lab/transit/tags .*/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## tnseq-transit 3.2.5

=== debian/changelog ===
tnseq-transit (3.2.5-1) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: add test dependency python3-sklearn.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Jul 2022 22:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: tnseq-transit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,11 +13,12 @@
                python3-scipy,
                python3-pil,
                python3-matplotlib,
+               python3-sklearn <!nocheck>,
                python3-statsmodels,
                python3-pubsub,
                bwa,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

## tnseq-transit 3.2.6

=== debian/changelog ===
tnseq-transit (3.2.6-1) unstable; urgency=medium

  * Remove explicit debhelper Build-Depends which was automatically added
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Aug 2022 08:09:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
                python3-sklearn <!nocheck>,
                python3-statsmodels,
                python3-pubsub,
-               bwa,
-               debhelper
+               bwa
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git

## tnseq-transit 3.2.7

=== debian/changelog ===
tnseq-transit (3.2.7-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Remove myself from uploaders

  [ Étienne Mollier ]
  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 12:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: tnseq-transit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,12 @@
 	mv tests/H37Rv.fna tests_invalid_data
 	dh_auto_configure
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH=tests {interpreter} -m unittest -v tests/*.py"
+endif
+
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf tests_invalid_data

## tnseq-transit 3.3.0

=== debian/changelog ===
tnseq-transit (3.3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 11:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-statsmodels,
                python3-pubsub,
                bwa
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

## tnseq-transit 3.3.1

=== debian/changelog ===
tnseq-transit (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * skip_test_requiring_non_existing_input_data.patch: forwarding not needed.
  * d/clean: cleanup test artifacts. (Closes: #1047512)
  * d/rules: verify symlink is dangling before move.
    tests/H37Rv.fna is a dangling symlink in upstream tarball, and it is
    causing test failures so needs to be moved away.  The move causes
    subsequent builds to fail, so first check whether the link still
    exists, and is still dangling.  As a side effect, the test will come
    back by itself when the link is repaired eventually. (Closes: #1049672)
  * fix_problematic_comparison.patch: typo in description.

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Oct 2023 22:03:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 # Upstream tarball contains a dangling symlink to local data file - hack around this
 override_dh_auto_configure:
 	mkdir -p tests_invalid_data
-	mv tests/H37Rv.fna tests_invalid_data
+	if [ -L tests/H37Rv.fna ] && ! [ -e tests/H37Rv.fna ] \
+	; then mv tests/H37Rv.fna tests_invalid_data \
+	; fi
 	dh_auto_configure
 
 override_dh_auto_test:

## tnseq-transit 3.3.2

=== debian/changelog ===
tnseq-transit (3.3.2-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Nov 2023 14:00:35 +0100

## tnseq-transit 3.3.3

=== debian/changelog ===
tnseq-transit (3.3.3-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 Nov 2023 19:42:33 +0100

## tnseq-transit 3.3.4

=== debian/changelog ===
tnseq-transit (3.3.4-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 15:00:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-dev,
                python3-setuptools,
                python3-numpy,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

## tnseq-transit 3.3.12

=== src/pytransit/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/transit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/transit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/transit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/transit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
tnseq-transit (3.3.12-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.3.12
  * Patch-out generation of python3-pkg-resources dep (Closes: #1083799)

  [ Andreas Tille ]
  * New upstream version 3.3.10
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 15:06:19 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-statsmodels,
                python3-pubsub,
                bwa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/tnseq-transit
 Vcs-Git: https://salsa.debian.org/med-team/tnseq-transit.git
 Homepage: http://saclab.tamu.edu/essentiality/transit/

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mv debian/$(DEB_SOURCE)/usr/bin/tpp debian/$(DEB_SOURCE)/usr/bin/transit-tpp
 
 # Upstream tarball contains a dangling symlink to local data file - hack around this
@@ -26,7 +25,6 @@
 endif
 
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf tests_invalid_data
 	rm -rf tnseq_transit.egg-info
